from argparse import ArgumentParser, Namespace
from time import time

from model import run


def parse_arguments() -> Namespace:
    parser = ArgumentParser()
    parser.add_argument(
        "data_file", help="FASTQ file containing the sequences with errors"
    )
    parser.add_argument(
        "label_file", help="FASTQ file containing the sequences without errors"
    )
    return parser.parse_args()


def main() -> None:
    args = parse_arguments()
    start_time = time()
    run(data_file=args.data_file, label_file=args.label_file)
    end_time = time()
    print(f"Elapsed time: {end_time - start_time}")


if __name__ == "__main__":
    main()
